-- -------------------------------------------------------------- --
-- ORES
-- -------------------------------------------------------------- --

-- Granite
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:granite",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})

-- Diorite
minetest.register_ore({
    ore_type       = "blob",
    ore            = "vox_core:diorite",
    wherein        = "vox_core:stone",
    clust_scarcity = 200 * 200 * 200,  -- Increase scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Andesite
minetest.register_ore({
    ore_type       = "blob",
    ore            = "vox_core:andesite",
    wherein        = "vox_core:stone",
    clust_scarcity = 200 * 200 * 200,  -- Increase scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Basalt
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "vox_core:basalt",
    wherein        = "vox_core:stone",
    clust_scarcity = 300 * 300 * 300,  -- Increase scarcity
    clust_num_ores = 2,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"tundra", "icesheet"}  -- Restrict to specific biomes
})

-- Marble
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:marble",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})
-- Chalk
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:chalk",
    wherein        = "vox_core:stone",
    clust_scarcity = 220 * 220 * 220,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"desert", "grassland"}  -- Restrict to specific biomes
})

-- Limestone
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:limestone",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})

-- Obsidian
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:obsidian",
    wherein        = "vox_core:stone",
    clust_scarcity = 1000 * 1000 * 1000,  -- Increase scarcity to reduce abundance
    clust_num_ores = 1,
    clust_size     = 1,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"volcanic"}  -- Restrict to specific biomes
})

-- Ores and Gems

-- Coal Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:coal_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 60 * 60 * 60,  -- Increase scarcity
    clust_num_ores = 8,
    clust_size     = 4,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Uranium Ore
minetest.register_ore({
    ore_type       = "vein",
    ore            = "vox_core:uranium_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 900 * 900 * 900,  -- Increase scarcity to reduce abundance
    clust_num_ores = 2,
    clust_size     = 1,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"tundra", "desert"}  -- Restrict to specific biomes
})

-- Bone Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:bone_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 300 * 300 * 300,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
})

-- Sulfur Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:sulfur_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 300 * 300 * 300,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"desert"}  -- Restrict to specific biomes
})

-- Salt Ore
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "vox_core:salt_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 200 * 200 * 200,  -- Increase scarcity
    clust_num_ores = 4,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"desert"}  -- Restrict to specific biomes
})

-- Copper Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:copper_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Increase scarcity
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland"}  -- Restrict to specific biomes
})

-- Tin Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:tin_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 200 * 200 * 200,  -- Increase scarcity
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland"}  -- Restrict to specific biomes
})

-- Iron Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:iron_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 160 * 160 * 160,  -- Increase scarcity
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Gold Ore
minetest.register_ore({
    ore_type       = "vein",
    ore            = "vox_core:gold_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 600 * 600 * 600,  -- Increase scarcity to reduce abundance
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"tundra", "desert"}  -- Restrict to specific biomes
})

-- Silver Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:silver_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 250 * 250 * 250,  -- Increase scarcity to reduce abundance
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland"}  -- Restrict to specific biomes
})

-- Diamond Ore
minetest.register_ore({
    ore_type       = "vein",
    ore            = "vox_core:diamond_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 800 * 800 * 800,  -- Increase scarcity to reduce abundance
    clust_num_ores = 2,
    clust_size     = 1,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = -50,   -- Adjust for greater height
    biomes         = {"tundra", "icesheet"}  -- Restrict to specific biomes
})

-- Emerald Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:emerald_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

-- Ruby Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:ruby_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

-- Sapphire Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:sapphire_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:topaz_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"desert"}  -- Restrict to specific biomes
})

-- Amethyst Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:amethyst_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

-- Opal Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:opal_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland"}  -- Restrict to specific biomes
})

-- Onyx Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:onyx_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland"}  -- Restrict to specific biomes
})

minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:garnet_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

-- Peridot Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:peridot_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 450 * 450 * 450,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"forest"}  -- Restrict to specific biomes
})

